package com.adealink.weparty.commonui.dialogfragment.data

import android.view.View

open class BaseActionItem(
    open val viewId: Int,
    open val enable: Boolean = true
)
data class TextActionItem(
    override val viewId: Int,
    val content: CharSequence,
    override val enable: Boolean = true,
) : BaseActionItem(viewId, enable)

class CustomActionItem(
    override val viewId: Int,
    val itemView: View,
    override val enable: Boolean = true
) : BaseActionItem(viewId, enable)

enum class DatePickerType {
    YMD,
    YMDHM
}

enum class Month(val value: Int) {
    JANUARY(1),
    FEBRUARY(2),
    MARCH(3),
    APRIL(4),
    MAY(5),
    JUNE(6),
    JULY(7),
    AUGUST(8),
    SEPTEMBER(9),
    OCTOBER(10),
    NOVEMBER(11),
    DECEMBER(12)
}